Subject: Re: bug#36525: M-x default when cursor on top of a M-x command in INFO

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Tue, 09 Jul 2019 19:10:16 +0800

SK> I would guess that the more common use case is that you want to run a
SK> command with another name than the text currently at point.
OK, but these days (I've got ffap enabled) I already have the habit of
moving the cursor off of anything that looks like a URL etc.

I.e., these days the user should expect "smart suggestions"... with the
price that if he wants a blank area where the suggestion would be, then
he should "take his cursor elsewhere". But that would be more work then
just holding down the DEL key to clean off the suggestion.